Infront Data Manager Connect Client (.NET)

Public Member Functions | Properties | List of all members
Gevasys.DataCore.Core.Protocol.UpdateMessage Class Reference

Class that contains all fields for one update for un instrument. More...

Inherited by Gevasys.DataCore.Core.Protocol.RequestStatusMessage.

## Public Member Functions
| UpdateMessage (BaseBinaryMessage.MessageType messageType)
| Default constructor. More...
void | AddAll (List< BaseField > fields)
| Adds a list of BaseFields to the message. More...
string | GetInstrument ()
| Gets the vwd code of the message. More...
BaseField | GetField (short fieldId)
| Gets a field from the update message. More...
bool | TryGetField (short fieldId, out BaseField field)
| Gets a field from the message. More...
string | toString ()
| Gets all fields of this message in csv format (semicolon separated). More...
String | toMachineReadableOutput ()
| Gets the content of the message in csv format (semicolon separated). More...

## Properties
BaseBinaryMessage.MessageType | MessageType`[get]`
Dictionary< short, BaseField > | FieldDict`[get]`

## Detailed Description

Class that contains all fields for one update for un instrument.

## Constructor & Destructor Documentation

## ◆ UpdateMessage()

Gevasys.DataCore.Core.Protocol.UpdateMessage.UpdateMessage | ( | BaseBinaryMessage.MessageType | messageType | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ AddAll()

void Gevasys.DataCore.Core.Protocol.UpdateMessage.AddAll | ( | List< BaseField > | fields | ) |
| inline

Adds a list of BaseFields to the message.

## ◆ GetField()

BaseField Gevasys.DataCore.Core.Protocol.UpdateMessage.GetField | ( | short | fieldId | ) |
| inline

Gets a field from the update message.

Parameters

  fieldId | The field id from the vwd Fieldmap.

Returns
  The field or null if no field for the given field id exists in the message.

## ◆ GetInstrument()

string Gevasys.DataCore.Core.Protocol.UpdateMessage.GetInstrument | ( |  | ) |
| inline

Gets the vwd code of the message.

Returns
  vwd code.

## ◆ toMachineReadableOutput()

String Gevasys.DataCore.Core.Protocol.UpdateMessage.toMachineReadableOutput | ( |  | ) |
| inline

Gets the content of the message in csv format (semicolon separated).

Returns
  The content as a csv string. Including instrument, field id's and field contents.

## ◆ toString()

string Gevasys.DataCore.Core.Protocol.UpdateMessage.toString | ( |  | ) |
| inline

Gets all fields of this message in csv format (semicolon separated).

Returns
  The content as a csv string. Including field id's and field contents.

## ◆ TryGetField()

bool Gevasys.DataCore.Core.Protocol.UpdateMessage.TryGetField | ( | short | fieldId,
|  | out BaseField | field
| ) |  |
| inline

Gets a field from the message.

Parameters

  fieldId | Field id from the vwd field map.
  field | The field or null if no field for the given field id exists.

Returns
  True if a field for the given field id exists.

The documentation for this class was generated from the following file:

- UpdateMessage.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1